unit UApplicationInfo;

{$MODE Delphi}

interface

uses
  SysUtils;

type

  { TApplicationInfo }

  TApplicationInfo = class
  private
    function GetVersion: string;
  public
    Name: string;
    Identification: Byte;
    MajorVersion: Byte;
    MinorVersion: Byte;
    BugFixVersion: Byte;
    VersionSufix: string; // alfa, beta, RC1, RC2, ...
    CompanyName: string;
    CompanyHomePage: string;
    HomePage: string;
    AuthorsName: string;
    EmailContact: string;
    ReleaseDate: TDateTime;
    RegistryKey: string;
    property Version: string read GetVersion;
  end;

var
  ApplicationInfo: TApplicationInfo;

implementation
                        
{ TApplicationInfo }

function TApplicationInfo.GetVersion: string;
begin
  Result := IntToStr(MajorVersion) + '.' + IntToStr(MinorVersion);
  if VersionSufix <> '' then Result := Result + ' ' + VersionSufix
    else Result := Result + '.' + IntToStr(BugFixVersion);
end;

initialization

ApplicationInfo := TApplicationInfo.Create;

with ApplicationInfo do begin
  Name := 'LazFuck';
  Identification := 1;
  ReleaseDate := EncodeDate(2012, 2, 9);
  MajorVersion := 0;
  MinorVersion := 1;
  BugFixVersion := 0;
  VersionSufix := 'alfa';
  CompanyName := 'Chronosoft';
  CompanyHomepage := 'http://svn.zdechov.net/trac/LazFuck';
  HomePage := 'http://svn.zdechov.net/trac/LazFuck';
  AuthorsName := 'Chronos';
  EmailContact := 'robie@centrum.cz';
  RegistryKey := '\Software\Chronosoft\LazFuck';
end;

finalization

ApplicationInfo.Free;

end.
